const btn_enregistrer_financement = document.getElementById('btn_enregistrer_financement');

btn_enregistrer_financement.addEventListener('click', function() {
    const form = document.getElementById('form_financement');
    const formData = new FormData(form);
    fetch(form.action, {
        method: 'POST',
        body: formData,
        headers: {
            'X-CSRFToken': formData.get('csrfmiddlewaretoken')
        }
    })
    .then(response => response.json())
    .then(data => {
        if (data.success) {
            alert(data.message);
            window.location.reload();
        }else {
            alert(data.message);
        }
    });
});